"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZosUssProfile = void 0;
const SshSession_1 = require("../SshSession");
/**
 * Profile configuration for SSH profiles
 * @type {ICommandProfileTypeConfiguration}
 * @memberof ZosUssProfile
 */
exports.ZosUssProfile = {
    type: "ssh",
    schema: {
        type: "object",
        title: "z/OS SSH Profile",
        description: "z/OS SSH Profile",
        properties: {
            host: {
                type: "string",
                optionDefinition: SshSession_1.SshSession.SSH_OPTION_HOST
            },
            port: {
                type: "number",
                optionDefinition: SshSession_1.SshSession.SSH_OPTION_PORT,
                includeInTemplate: true
            },
            user: {
                type: "string",
                secure: true,
                optionDefinition: SshSession_1.SshSession.SSH_OPTION_USER
            },
            password: {
                type: "string",
                secure: true,
                optionDefinition: SshSession_1.SshSession.SSH_OPTION_PASSWORD
            },
            privateKey: {
                type: "string",
                optionDefinition: SshSession_1.SshSession.SSH_OPTION_PRIVATEKEY
            },
            keyPassphrase: {
                type: "string",
                secure: true,
                optionDefinition: SshSession_1.SshSession.SSH_OPTION_KEYPASSPHRASE
            },
            handshakeTimeout: {
                type: "number",
                optionDefinition: SshSession_1.SshSession.SSH_OPTION_HANDSHAKETIMEOUT
            }
        },
        required: []
    }
};
//# sourceMappingURL=ZosUss.profile.js.map